Name:           WebShell
Version:        0.9.6
Release:        12%{?dist}
Summary:        SSL server for web-based SSH access from browsers and mobile devices

Group:          Applications/Internet
License:        GPLv2
URL:            http://www-personal.umich.edu/~mressl/webshell/index.html
Source0:        http://web-shell.googlecode.com/files/WebShell-0.9.6.zip
Source1:        README.fedora
Source2:        background.jpg
Patch0:         WebShell-0.9.6-default-paths.p0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Requires:       pyOpenSSL
Requires:       openssh-clients
Requires:       openssl

%description
WebShell is a standalone web server and browser application that provide
encrypted shell access through any web browser (https://host:8022). WebShell
includes a touch keyboard for use on mobile devices with a touch screen.


%prep
%setup -q
cp %{SOURCE1} .
%patch0


%build


%install
rm -rf %{buildroot}
install -d          %{buildroot}%{_datadir}/%{name}/www
install -p  -m 0755 make_certificate.sh %{buildroot}%{_datadir}/%{name}
install -p  -m 0644 make_certificate.cfg %{buildroot}%{_datadir}/%{name}
install -p  -m 0644 www/* %{buildroot}%{_datadir}/%{name}/www
install -pD -m 0755 webshell.py %{buildroot}%{_bindir}/webshell
cp -p %{SOURCE2} %{buildroot}%{_datadir}/%{name}/www


%clean
rm -rf %{buildroot}


#
# Disabled for package release 3
# We'll let the user do this -- instructions in README.fedora
#
#%%post
#cd %{_datadir}/%{name}
#./make_certificate.sh



%files
%defattr(-,root,root,-)
%doc README.txt README.fedora
%{_datadir}/%{name}
%{_bindir}/*


%changelog
* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.6-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jun 16 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.6-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Jun 06 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.6-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.6-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.6-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.6-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Jan 05 2012 Chris Tyler <chris@tylers.info> - 0.9.6-5
- F17 mass rebuild for gcc 4.7

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 22 2009 Chris Tyler <chris@tylers.info> - 0.9.6-3
- Replaced background image due to potential license issues
- Added README.fedora with setup and usage info
- Disabled post scriptlet per reviewer recommendation

* Wed Jul 22 2009 Chris Tyler <chris@tylers.info> - 0.9.6-2
- Changed envars to macros for consistancy
- Added Requires: openssl for make_certificate.sh

* Fri Jul 10 2009 Chris Tyler <chris@tylers.info> - 0.9.6-1
- Initial RPM release

